# Generated by Django 4.1.6 on 2023-02-12 22:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="Category's name", max_length=200, unique=True)),
                ('description', models.TextField(help_text="Category's description")),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Element',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('modified_at', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(help_text="Element's name", max_length=200)),
                ('description', models.TextField(help_text="Element's description")),
                ('dimension', models.ForeignKey(help_text="Element's category", on_delete=django.db.models.deletion.CASCADE, to='practitioners_eye.category')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
